Bug 48933 - gcc -fvtable-gc crashes the compiler.
Summary: gcc -fvtable-gc crashes the compiler.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 16:01 UTC by hjl
Modified: 2016-10-30 17:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-30 17:53:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (1.62 KB, patch)
2001-07-12 16:02 UTC, hjl
no flags Details | Diff

Description hjl 2001-07-12 16:01:15 UTC
This code:

struct A
{
  virtual void foo();
};

void A::foo() { }

will crash the alpha gcc with -fvtable-gc, which is never supported on
alpha and
is removed from gcc 3.0.

Comment 1 hjl 2001-07-12 16:02:53 UTC
Created attachment 23395 [details]
A patch

Comment 2 Jakub Jelinek 2001-08-17 16:42:05 UTC
Should be fixed in gcc-2.96-96 (although in a different way than in your patch).

Comment 3 Bill Nottingham 2006-08-04 20:05:37 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Comment 4 Fedora Update System 2016-10-14 03:20:40 UTC
389-ds-console-1.2.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e37b304df2

Comment 5 Fedora Update System 2016-10-14 04:56:01 UTC
389-ds-console-1.2.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca30ede300

Comment 6 Fedora Update System 2016-10-18 11:30:43 UTC
389-ds-console-1.2.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-10-20 21:59:11 UTC
389-ds-console-1.2.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6754b499c8

Comment 8 Fedora Update System 2016-10-30 17:53:26 UTC
389-ds-console-1.2.16-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.